Package csb :: Package bio :: Package io :: Module vasco :: Class ChemicalShiftContainer

[frames] | no frames]

# Class ChemicalShiftContainer

source code

                  object --+
                           |
        core.AbstractIndexer --+
                               |
    core.BaseDictionaryContainer --+
                                   |
            core.DictionaryContainer --+
                                       |
                                      ChemicalShiftContainer

Instance Methods

__init__(self, bmrb_id=`'````'`, pdb_id=`'````'`, sequence=`'````'`, chain=`'````'`, exptype=`'````'`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `core.DictionaryContainer`: `append` Inherited from `core.BaseDictionaryContainer`: `__bool__`, `__contains__`, `__getitem__`, `__iter__`, `__len__`, `__nonzero__`, `__repr__`, `keys` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `core.BaseDictionaryContainer`: `length` Inherited from `object`: `__class__`

Method Details

### __init__(self, bmrb_id=`'````'`, pdb_id=`'````'`, sequence=`'````'`, chain=`'````'`, exptype=`'````'`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `items` - an initialization dictionary
  - `restrict` - a list of keys allowed for this dictionary
Overrides: object.__init__
  (inherited documentation)